<?php
 
 
 

namespace PhpWA\Protocol\Proto;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class Reportable extends \Google\Protobuf\Internal\Message
{
    


    protected $minVersion = null;
    


    protected $maxVersion = null;
    


    protected $notReportableMinVersion = null;
    


    protected $never = null;

    











    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getMinVersion()
    {
        return isset($this->minVersion) ? $this->minVersion : 0;
    }

    public function hasMinVersion()
    {
        return isset($this->minVersion);
    }

    public function clearMinVersion()
    {
        unset($this->minVersion);
    }

    




    public function setMinVersion($var)
    {
        GPBUtil::checkUint32($var);
        $this->minVersion = $var;

        return $this;
    }

    



    public function getMaxVersion()
    {
        return isset($this->maxVersion) ? $this->maxVersion : 0;
    }

    public function hasMaxVersion()
    {
        return isset($this->maxVersion);
    }

    public function clearMaxVersion()
    {
        unset($this->maxVersion);
    }

    




    public function setMaxVersion($var)
    {
        GPBUtil::checkUint32($var);
        $this->maxVersion = $var;

        return $this;
    }

    



    public function getNotReportableMinVersion()
    {
        return isset($this->notReportableMinVersion) ? $this->notReportableMinVersion : 0;
    }

    public function hasNotReportableMinVersion()
    {
        return isset($this->notReportableMinVersion);
    }

    public function clearNotReportableMinVersion()
    {
        unset($this->notReportableMinVersion);
    }

    




    public function setNotReportableMinVersion($var)
    {
        GPBUtil::checkUint32($var);
        $this->notReportableMinVersion = $var;

        return $this;
    }

    



    public function getNever()
    {
        return isset($this->never) ? $this->never : false;
    }

    public function hasNever()
    {
        return isset($this->never);
    }

    public function clearNever()
    {
        unset($this->never);
    }

    




    public function setNever($var)
    {
        GPBUtil::checkBool($var);
        $this->never = $var;

        return $this;
    }

}

